The version number of the device firmware
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.3955.4.1.12
The version number of the device firmware
Identification
{1 3 6 1 4 1 3955 4 1 12}
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
nicFirmwareVersion OBJECT-TYPE
SYNTAX DisplayString
ACCESS read-only
STATUS mandatory
DESCRIPTION
"The version number of the device firmware"
::= { statusInfo 12 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The version number of the device firmware
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: nicFirmwareVersion
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"nicFirmwareVersion",
"OBJECT-TYPE",
"SYNTAX",
"DisplayString",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The version number of the device firmware\"",
"::=",
"{",
"statusInfo",
"12",
"}"
],
"syntax_tree": [
[
"row",
"DisplayString"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The version number of the device firmware"
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive.
Module: LINKSYS-MODEL-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.3955.4.1.1 | dhcpActiveTable | 1 | 5 | |
| 1.3.6.1.4.1.3955.4.1.2 | outgoingLogTable | 1 | 5 | |
| 1.3.6.1.4.1.3955.4.1.3 | incomingLogTable | 1 | 4 | |
| 1.3.6.1.4.1.3955.4.1.4 | infWANStatusTable | 1 | 10 | |
| 1.3.6.1.4.1.3955.4.1.5 | infNodeWLANStatus | 0 | 0 | |
| 1.3.6.1.4.1.3955.4.1.6 | nicDevicePresent | 0 | 0 | |
| 1.3.6.1.4.1.3955.4.1.7 | nicDriverInstallation | 0 | 0 | |
| 1.3.6.1.4.1.3955.4.1.8 | nicDriverStatus | 0 | 0 | |
| 1.3.6.1.4.1.3955.4.1.9 | nicConnectionStatus | 0 | 0 | |
| 1.3.6.1.4.1.3955.4.1.10 | nicOSVersion | 0 | 0 | |
| 1.3.6.1.4.1.3955.4.1.11 | nicDriverVersion | 0 | 0 | |
| 1.3.6.1.4.1.3955.4.1.13 | nicUtilityVersion | 0 | 0 |